# Schemas ## Retrieve operations and features as OpenAPI schemas `client.apiGateway.schemas.list(SchemaListParamsparams, RequestOptionsoptions?): SchemaListResponse` **get** `/zones/{zone_id}/api_gateway/schemas` Retrieve operations and features as OpenAPI schemas ### Parameters - `params: SchemaListParams` - `zone_id: string` Path param: Identifier. - `feature?: Array<"thresholds" | "parameter_schemas" | "schema_info">` Query param: Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning. - `"thresholds"` - `"parameter_schemas"` - `"schema_info"` - `host?: Array` Query param: Receive schema only for the given host(s). ### Returns - `SchemaListResponse` - `schemas?: Array` - `timestamp?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const schemas = await client.apiGateway.schemas.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(schemas.schemas); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "schemas": [ { "info": { "title": "OpenAPI JSON schema for www.example.com", "version": "1.0" }, "openapi": "3.0.0", "paths": { "... Further paths ...": {}, "/api/v1/users/{var1}": { "get": { "parameters": [ { "in": "path", "name": "var1", "required": true, "schema": { "type": "string" } } ] } } }, "servers": [ { "url": "www.example.com" } ] } ], "timestamp": "timestamp" }, "success": true } ``` ## Domain Types ### Schema List Response - `SchemaListResponse` - `schemas?: Array` - `timestamp?: string`